Foreman - Feature #32928

Allow templates to hide preview button
07/01/2021 10:55 AM - Oleh Fedorenko

Status: Closed
Priority: Normal
Assignee: Oleh Fedorenko
Category: Templates
Target version: 253
Difficulty: Fixed in Releases: 2.5.3,3.0.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/8637,
https://github.com/theforeman/foreman/p
ull/8726
Description

Some templates such as webhook templates don't and actually can't preview for most of the cases. Doesn't make much sense to
have this button since it does nothing and only confuses users.

Support for such feature should be done in core to reduce code duplication.

Associated revisions

Revision 498c352c - 07/04/2021 02:39 PM - Oleh Fedorenko
Fixes #32928 - Allow templates to hide preview button

History

#1 - 07/01/2021 11:17 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/8637 added

#2 - 07/04/2021 02:39 PM - The Foreman Bot
- Fixed in Releases 3.0.0 added

#3 - 07/04/2021 03:08 PM - Oleh Fedorenko
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|498c352cb3e1{8066beb9fb28c92ba0cb8fbSb03.

#4 - 08/12/2021 02:03 PM - Lukas Zapletal

- Target version set to 2.5.3

| am requesting 2.5.3 for this one, we need this feature in webhooks. Is it possible to have that?

#5 - 08/20/2021 01:05 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/8726 added

#6 - 08/26/2021 10:16 AM - Amit Upadhye
- Fixed in Releases 2.5.3 added

05/18/2024 1/1



https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/498c352cb3e1f8066beb9fb28c92ba0cb8fb5b03
http://www.tcpdf.org

